Bug 137594 - gthumb crashes on startup on ia64
gthumb crashes on startup on ia64
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Carl Worth
Depends On:
  Show dependency treegraph
Reported: 2004-10-29 14:40 EDT by Dave Malcolm
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.4.2-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 11:07:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2004-10-29 14:40:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ia64; rv:1.7.3) Gecko/20041020

Description of problem:
gtumb crashes on startup on an ia64.   Looking at the backtrace, it
looks like there's a guint used for a GType inside
e_combo_buttong_get_type; GTypes are actually gulongs.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run gthumb on an ia64

Actual Results:  Program should run

Expected Results:  Crashes on startup

Additional info:
Comment 1 Dave Malcolm 2004-10-29 14:43:48 EDT
(gdb) list
600     GType
601     e_combo_button_get_type ()
602     {
603             static guint type = 0;
605             if (! type) {
606                     GTypeInfo type_info = {
607                             sizeof (EComboButtonClass),
608                             NULL,
609                             NULL,

Looks like "type" should be a GType, not a guint

Here's the crash:
Program received signal SIGSEGV, Segmentation fault.
g_type_fundamental (type_id=3053648) at gtype.c:3111
3111      return node ? NODE_FUNDAMENTAL_TYPE (node) : 0;
(gdb) bt
#0  g_type_fundamental (type_id=3053648) at gtype.c:3111
#1  0x20000000014851c0 in g_object_new (object_type=3053648,
    first_property_name=0x0) at gobject.c:819
#2  0x4000000000062290 in e_combo_button_new () at e-combo-button.c:515
#3  0x4000000000098750 in window_new () at gthumb-window.c:4334
#4  0x40000000000a3890 in main (argc=1, argv=0x60000fffffffb7f8) at

Comment 2 Dave Malcolm 2004-10-29 16:03:24 EDT
I'm working on fixing this...

I've filed this upstream here:
Comment 3 Dave Malcolm 2004-11-01 18:13:46 EST
Fixed packages have been built; for FC3, gthumb-2.4.2-5 is now in
dist-FC3; for RHEL4, gthumb- has been built into HEAD.
Comment 4 Dave Malcolm 2004-11-02 18:00:23 EST
I'll close this once the RHEL4 package is in its correct place.
Comment 5 Matthew Miller 2006-07-10 18:45:27 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-10-30 11:07:36 EST
Closing as per comment #4, since the package did make it into RHEL.

Note You need to log in before you can comment on or make changes to this bug.